

Summary:        This lib manages sieve support
Name:           libksieve
Version: 		17.12.3
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires: cmake 
BuildRequires: lib64ical-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadimime5 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5identitymanagement-devel 
BuildRequires: lib64kf5imap-devel 
BuildRequires: lib64kf5libkdepim-devel 
BuildRequires: lib64kf5mailtransport-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5newstuff-devel 
BuildRequires: lib64kf5pimcommon-devel 
BuildRequires: lib64kf5pimtextedit-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: lib64sasl2-devel 
BuildRequires: qtbase5-common-devel 

%description
This lib manages sieve support.

%files
%_sysconfdir/xdg/ksieve_script.knsrc
%_sysconfdir/xdg/libksieve.categories
%_kf5_datadir/sieve
/etc/xdg/libksieve.renamecategories
%_kf5_datadir/locale

#--------------------------------------------------------------------

%package -n     kio5-sieve
Summary:        KDE sieve module
Group:          System/Libraries
Requires:       akonadi-contacts
Requires:       %{name} = %version

%description -n kio5-sieve
KDE sieve module.

%files -n kio5-sieve
%_kf5_plugindir/kio/sieve.so
%_kf5_services/sieve*

#--------------------------------------------------------------------

%define kf5managesieve_major 5
%define libkf5managesieve %mklibname kf5managesieve %{kf5managesieve_major}

%package -n %libkf5managesieve
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5managesieve
This lib manages sieve support.

%files -n %libkf5managesieve
%_kf5_libdir/libKF5KManageSieve.so.%{kf5managesieve_major}*


#--------------------------------------------------------------------

%define kf5ksieve_major 5
%define libkf5ksieve %mklibname kf5ksieve %{kf5ksieve_major}

%package -n %libkf5ksieve
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5ksieve
This lib manages sieve support.

%files -n %libkf5ksieve
%_kf5_libdir/libKF5KSieve.so.%{kf5ksieve_major}*

#--------------------------------------------------------------------

%define kf5ksieveui_major 5
%define libkf5ksieveui %mklibname kf5ksieveui_ %{kf5ksieveui_major}

%package -n %libkf5ksieveui
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5ksieveui
This lib manages sieve support.

%files -n %libkf5ksieveui
%_kf5_libdir/libKF5KSieveUi.so.%{kf5ksieveui_major}*

#--------------------------------------------------------------------

%define libksieve_devel %mklibname ksieve -d

%package -n %libksieve_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5managesieve = %version-%release
Requires:       %libkf5ksieve = %version-%release
Requires:       %libkf5ksieveui = %version-%release

Provides:       %name-devel = %{version}-%{release}

%description -n %libksieve_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libksieve_devel
%_kf5_includedir/KManageSieve
%_kf5_includedir/kmanagesieve
%_kf5_includedir/KSieveUi
%_kf5_includedir/ksieveui
%_kf5_includedir/libksieve_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5LibKSieve
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%package        handbook
Summary:        Sieve Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides Sieve handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/sieve/

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang --all %{name}5


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Fri Dec 16 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Thu Nov 02 2016 bb <bb. 16.08.3-1pclos2016
- update

